import{S as Ae,i as Pe,s as Fe,e as t,k as h,w as M,t as i,M as Le,c as n,d as e,m as f,a as l,x as O,h as r,b as c,G as a,g as p,y as S,L as Ue,q as B,o as N,B as W,v as xe}from"../../chunks/vendor-hf-doc-builder.js";import{I as Rs}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{C as qe}from"../../chunks/CodeBlock-hf-doc-builder.js";function Ce(le){let d,ls,m,y,T,A,qs,z,As,os,D,Ps,is,P,rs,g,j,G,F,Fs,J,Ls,ps,b,Us,L,xs,Cs,cs,U,hs,w,_,K,x,Ds,Q,Is,fs,k,Hs,V,Ms,Os,us,u,Ss,X,Bs,Ns,Y,Ws,Ts,Z,zs,Gs,ds,$,Js,ss,Ks,Qs,ms,v,E,es,C,Vs,as,Xs,gs,R,I,ts,Ys,Zs,se,H,ns,ee,ae,ws;return A=new Rs({}),P=new qe({props:{code:"npm add @huggingface/hub",highlighted:'<span class="hljs-built_in">npm</span> add @huggingface/hub'}}),F=new Rs({}),U=new qe({props:{code:`import { createRepo, uploadFiles, deleteFile, deleteRepo, listFiles, whoAmI } from "@huggingface/hub";
import type { RepoDesignation, Credentials } from "@huggingface/hub";

const repo: RepoDesignation = { type: "model", name: "myname/some-model" };
const credentials: Credentials = { accessToken: "hf_..." };

const {name: username} = await whoAmI({credentials});

for await (const model of listModels({search: {owner: username}, credentials})) {
  console.log("My model:", model);
}

await createRepo({ repo, credentials, license: "mit" });

await uploadFiles({
  repo,
  credentials,
  files: [
    // path + blob content
    {
      path: "file.txt",
      content: new Blob(["Hello World"]),
    },
    // Local file URL
    pathToFileURL("./pytorch-model.bin"),
    // Web URL
    new URL("https://huggingface.co/xlm-roberta-base/resolve/main/tokenizer.json"),
    // Path + Web URL
    {
      path: "myfile.bin",
      content: new URL("https://huggingface.co/bert-base-uncased/resolve/main/pytorch_model.bin")
    }
    // Can also work with native File in browsers
  ],
});

await deleteFile({repo, credentials, path: "myfile.bin"});

await (await downloadFile({ repo, path: "README.md" })).text();

for await (const fileInfo of listFiles({repo})) {
  console.log(fileInfo);
}

await deleteRepo({ repo, credentials });`,highlighted:`<span class="hljs-keyword">import</span> { createRepo, uploadFiles, deleteFile, deleteRepo, listFiles, whoAmI } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/hub&quot;</span>;
<span class="hljs-keyword">import</span> <span class="hljs-keyword">type</span> { <span class="hljs-title class_">RepoDesignation</span>, <span class="hljs-title class_">Credentials</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/hub&quot;</span>;

<span class="hljs-keyword">const</span> <span class="hljs-attr">repo</span>: <span class="hljs-title class_">RepoDesignation</span> = { <span class="hljs-attr">type</span>: <span class="hljs-string">&quot;model&quot;</span>, <span class="hljs-attr">name</span>: <span class="hljs-string">&quot;myname/some-model&quot;</span> };
<span class="hljs-keyword">const</span> <span class="hljs-attr">credentials</span>: <span class="hljs-title class_">Credentials</span> = { <span class="hljs-attr">accessToken</span>: <span class="hljs-string">&quot;hf_...&quot;</span> };

<span class="hljs-keyword">const</span> {<span class="hljs-attr">name</span>: username} = <span class="hljs-keyword">await</span> <span class="hljs-title function_">whoAmI</span>({credentials});

<span class="hljs-keyword">for</span> <span class="hljs-keyword">await</span> (<span class="hljs-keyword">const</span> model <span class="hljs-keyword">of</span> <span class="hljs-title function_">listModels</span>({<span class="hljs-attr">search</span>: {<span class="hljs-attr">owner</span>: username}, credentials})) {
  <span class="hljs-variable language_">console</span>.<span class="hljs-title function_">log</span>(<span class="hljs-string">&quot;My model:&quot;</span>, model);
}

<span class="hljs-keyword">await</span> <span class="hljs-title function_">createRepo</span>({ repo, credentials, <span class="hljs-attr">license</span>: <span class="hljs-string">&quot;mit&quot;</span> });

<span class="hljs-keyword">await</span> <span class="hljs-title function_">uploadFiles</span>({
  repo,
  credentials,
  <span class="hljs-attr">files</span>: [
    <span class="hljs-comment">// path + blob content</span>
    {
      <span class="hljs-attr">path</span>: <span class="hljs-string">&quot;file.txt&quot;</span>,
      <span class="hljs-attr">content</span>: <span class="hljs-keyword">new</span> <span class="hljs-title class_">Blob</span>([<span class="hljs-string">&quot;Hello World&quot;</span>]),
    },
    <span class="hljs-comment">// Local file URL</span>
    <span class="hljs-title function_">pathToFileURL</span>(<span class="hljs-string">&quot;./pytorch-model.bin&quot;</span>),
    <span class="hljs-comment">// Web URL</span>
    <span class="hljs-keyword">new</span> <span class="hljs-title function_">URL</span>(<span class="hljs-string">&quot;https://huggingface.co/xlm-roberta-base/resolve/main/tokenizer.json&quot;</span>),
    <span class="hljs-comment">// Path + Web URL</span>
    {
      <span class="hljs-attr">path</span>: <span class="hljs-string">&quot;myfile.bin&quot;</span>,
      <span class="hljs-attr">content</span>: <span class="hljs-keyword">new</span> <span class="hljs-title function_">URL</span>(<span class="hljs-string">&quot;https://huggingface.co/bert-base-uncased/resolve/main/pytorch_model.bin&quot;</span>)
    }
    <span class="hljs-comment">// Can also work with native File in browsers</span>
  ],
});

<span class="hljs-keyword">await</span> <span class="hljs-title function_">deleteFile</span>({repo, credentials, <span class="hljs-attr">path</span>: <span class="hljs-string">&quot;myfile.bin&quot;</span>});

<span class="hljs-keyword">await</span> (<span class="hljs-keyword">await</span> <span class="hljs-title function_">downloadFile</span>({ repo, <span class="hljs-attr">path</span>: <span class="hljs-string">&quot;README.md&quot;</span> })).<span class="hljs-title function_">text</span>();

<span class="hljs-keyword">for</span> <span class="hljs-keyword">await</span> (<span class="hljs-keyword">const</span> fileInfo <span class="hljs-keyword">of</span> <span class="hljs-title function_">listFiles</span>({repo})) {
  <span class="hljs-variable language_">console</span>.<span class="hljs-title function_">log</span>(fileInfo);
}

<span class="hljs-keyword">await</span> <span class="hljs-title function_">deleteRepo</span>({ repo, credentials });`}}),x=new Rs({}),C=new Rs({}),{c(){d=t("meta"),ls=h(),m=t("h1"),y=t("a"),T=t("span"),M(A.$$.fragment),qs=h(),z=t("span"),As=i("\u{1F917} Hugging Face Hub API"),os=h(),D=t("p"),Ps=i("Official utilities to use the Hugging Face hub API, still very experimental."),is=h(),M(P.$$.fragment),rs=h(),g=t("h2"),j=t("a"),G=t("span"),M(F.$$.fragment),Fs=h(),J=t("span"),Ls=i("Usage"),ps=h(),b=t("p"),Us=i("For some of the calls, you need to create an account and generate an "),L=t("a"),xs=i("access token"),Cs=i("."),cs=h(),M(U.$$.fragment),hs=h(),w=t("h2"),_=t("a"),K=t("span"),M(x.$$.fragment),Ds=h(),Q=t("span"),Is=i("Performance considerations"),fs=h(),k=t("p"),Hs=i("When uploading large files, you may want to run the "),V=t("code"),Ms=i("commit"),Os=i(" calls inside a worker, to offload the sha256 computations."),us=h(),u=t("p"),Ss=i("Remote resources and local files should be passed as "),X=t("code"),Bs=i("URL"),Ns=i(" whenever it\u2019s possible so they can be lazy loaded in chunks to reduce RAM usage. Passing a "),Y=t("code"),Ws=i("File"),Ts=i(" inside the browser\u2019s context is fine, because it natively behaves as a "),Z=t("code"),zs=i("Blob"),Gs=i("."),ds=h(),$=t("p"),Js=i("Under the hood, "),ss=t("code"),Ks=i("@huggingface/hub"),Qs=i(" uses a lazy blob implementation to load the file."),ms=h(),v=t("h2"),E=t("a"),es=t("span"),M(C.$$.fragment),Vs=h(),as=t("span"),Xs=i("Dependencies"),gs=h(),R=t("ul"),I=t("li"),ts=t("code"),Ys=i("hash-wasm"),Zs=i(" : Only used in the browser, when committing files over 10 MB. Browsers do not natively support streaming sha256 computations."),se=h(),H=t("li"),ns=t("code"),ee=i("type-fest"),ae=i(" : Typings only"),this.h()},l(s){const o=Le('[data-svelte="svelte-1phssyn"]',document.head);d=n(o,"META",{name:!0,content:!0}),o.forEach(e),ls=f(s),m=n(s,"H1",{class:!0});var vs=l(m);y=n(vs,"A",{id:!0,class:!0,href:!0});var oe=l(y);T=n(oe,"SPAN",{});var ie=l(T);O(A.$$.fragment,ie),ie.forEach(e),oe.forEach(e),qs=f(vs),z=n(vs,"SPAN",{});var re=l(z);As=r(re,"\u{1F917} Hugging Face Hub API"),re.forEach(e),vs.forEach(e),os=f(s),D=n(s,"P",{});var pe=l(D);Ps=r(pe,"Official utilities to use the Hugging Face hub API, still very experimental."),pe.forEach(e),is=f(s),O(P.$$.fragment,s),rs=f(s),g=n(s,"H2",{class:!0});var ys=l(g);j=n(ys,"A",{id:!0,class:!0,href:!0});var ce=l(j);G=n(ce,"SPAN",{});var he=l(G);O(F.$$.fragment,he),he.forEach(e),ce.forEach(e),Fs=f(ys),J=n(ys,"SPAN",{});var fe=l(J);Ls=r(fe,"Usage"),fe.forEach(e),ys.forEach(e),ps=f(s),b=n(s,"P",{});var js=l(b);Us=r(js,"For some of the calls, you need to create an account and generate an "),L=n(js,"A",{href:!0,rel:!0});var ue=l(L);xs=r(ue,"access token"),ue.forEach(e),Cs=r(js,"."),js.forEach(e),cs=f(s),O(U.$$.fragment,s),hs=f(s),w=n(s,"H2",{class:!0});var bs=l(w);_=n(bs,"A",{id:!0,class:!0,href:!0});var de=l(_);K=n(de,"SPAN",{});var me=l(K);O(x.$$.fragment,me),me.forEach(e),de.forEach(e),Ds=f(bs),Q=n(bs,"SPAN",{});var ge=l(Q);Is=r(ge,"Performance considerations"),ge.forEach(e),bs.forEach(e),fs=f(s),k=n(s,"P",{});var _s=l(k);Hs=r(_s,"When uploading large files, you may want to run the "),V=n(_s,"CODE",{});var we=l(V);Ms=r(we,"commit"),we.forEach(e),Os=r(_s," calls inside a worker, to offload the sha256 computations."),_s.forEach(e),us=f(s),u=n(s,"P",{});var q=l(u);Ss=r(q,"Remote resources and local files should be passed as "),X=n(q,"CODE",{});var ve=l(X);Bs=r(ve,"URL"),ve.forEach(e),Ns=r(q," whenever it\u2019s possible so they can be lazy loaded in chunks to reduce RAM usage. Passing a "),Y=n(q,"CODE",{});var ye=l(Y);Ws=r(ye,"File"),ye.forEach(e),Ts=r(q," inside the browser\u2019s context is fine, because it natively behaves as a "),Z=n(q,"CODE",{});var je=l(Z);zs=r(je,"Blob"),je.forEach(e),Gs=r(q,"."),q.forEach(e),ds=f(s),$=n(s,"P",{});var ks=l($);Js=r(ks,"Under the hood, "),ss=n(ks,"CODE",{});var be=l(ss);Ks=r(be,"@huggingface/hub"),be.forEach(e),Qs=r(ks," uses a lazy blob implementation to load the file."),ks.forEach(e),ms=f(s),v=n(s,"H2",{class:!0});var $s=l(v);E=n($s,"A",{id:!0,class:!0,href:!0});var _e=l(E);es=n(_e,"SPAN",{});var ke=l(es);O(C.$$.fragment,ke),ke.forEach(e),_e.forEach(e),Vs=f($s),as=n($s,"SPAN",{});var $e=l(as);Xs=r($e,"Dependencies"),$e.forEach(e),$s.forEach(e),gs=f(s),R=n(s,"UL",{});var Es=l(R);I=n(Es,"LI",{});var te=l(I);ts=n(te,"CODE",{});var Ee=l(ts);Ys=r(Ee,"hash-wasm"),Ee.forEach(e),Zs=r(te," : Only used in the browser, when committing files over 10 MB. Browsers do not natively support streaming sha256 computations."),te.forEach(e),se=f(Es),H=n(Es,"LI",{});var ne=l(H);ns=n(ne,"CODE",{});var Re=l(ns);ee=r(Re,"type-fest"),Re.forEach(e),ae=r(ne," : Typings only"),ne.forEach(e),Es.forEach(e),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(De)),c(y,"id","hugging-face-hub-api"),c(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(y,"href","#hugging-face-hub-api"),c(m,"class","relative group"),c(j,"id","usage"),c(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(j,"href","#usage"),c(g,"class","relative group"),c(L,"href","https://huggingface.co/settings/tokens"),c(L,"rel","nofollow"),c(_,"id","performance-considerations"),c(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_,"href","#performance-considerations"),c(w,"class","relative group"),c(E,"id","dependencies"),c(E,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(E,"href","#dependencies"),c(v,"class","relative group")},m(s,o){a(document.head,d),p(s,ls,o),p(s,m,o),a(m,y),a(y,T),S(A,T,null),a(m,qs),a(m,z),a(z,As),p(s,os,o),p(s,D,o),a(D,Ps),p(s,is,o),S(P,s,o),p(s,rs,o),p(s,g,o),a(g,j),a(j,G),S(F,G,null),a(g,Fs),a(g,J),a(J,Ls),p(s,ps,o),p(s,b,o),a(b,Us),a(b,L),a(L,xs),a(b,Cs),p(s,cs,o),S(U,s,o),p(s,hs,o),p(s,w,o),a(w,_),a(_,K),S(x,K,null),a(w,Ds),a(w,Q),a(Q,Is),p(s,fs,o),p(s,k,o),a(k,Hs),a(k,V),a(V,Ms),a(k,Os),p(s,us,o),p(s,u,o),a(u,Ss),a(u,X),a(X,Bs),a(u,Ns),a(u,Y),a(Y,Ws),a(u,Ts),a(u,Z),a(Z,zs),a(u,Gs),p(s,ds,o),p(s,$,o),a($,Js),a($,ss),a(ss,Ks),a($,Qs),p(s,ms,o),p(s,v,o),a(v,E),a(E,es),S(C,es,null),a(v,Vs),a(v,as),a(as,Xs),p(s,gs,o),p(s,R,o),a(R,I),a(I,ts),a(ts,Ys),a(I,Zs),a(R,se),a(R,H),a(H,ns),a(ns,ee),a(H,ae),ws=!0},p:Ue,i(s){ws||(B(A.$$.fragment,s),B(P.$$.fragment,s),B(F.$$.fragment,s),B(U.$$.fragment,s),B(x.$$.fragment,s),B(C.$$.fragment,s),ws=!0)},o(s){N(A.$$.fragment,s),N(P.$$.fragment,s),N(F.$$.fragment,s),N(U.$$.fragment,s),N(x.$$.fragment,s),N(C.$$.fragment,s),ws=!1},d(s){e(d),s&&e(ls),s&&e(m),W(A),s&&e(os),s&&e(D),s&&e(is),W(P,s),s&&e(rs),s&&e(g),W(F),s&&e(ps),s&&e(b),s&&e(cs),W(U,s),s&&e(hs),s&&e(w),W(x),s&&e(fs),s&&e(k),s&&e(us),s&&e(u),s&&e(ds),s&&e($),s&&e(ms),s&&e(v),W(C),s&&e(gs),s&&e(R)}}}const De={local:"hugging-face-hub-api",sections:[{local:"usage",title:"Usage"},{local:"performance-considerations",title:"Performance considerations"},{local:"dependencies",title:"Dependencies"}],title:"\u{1F917} Hugging Face Hub API"};function Ie(le){return xe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Se extends Ae{constructor(d){super();Pe(this,d,Ie,Ce,Fe,{})}}export{Se as default,De as metadata};
