import{S as Ga,i as Ya,s as za,e as t,k as p,w as m,t as h,M as Qa,c as n,d as s,m as c,a as r,x as g,h as f,b as i,N as Va,f as Xa,G as a,g as o,y as d,L as Za,q as v,o as w,B as y,v as et}from"../chunks/vendor-hf-doc-builder.js";import{I as ae}from"../chunks/IconCopyLink-hf-doc-builder.js";import{C as de}from"../chunks/CodeBlock-hf-doc-builder.js";function st(ha){let $,Re,u,vs,ws,b,ve,ys,we,_s,E,fa,js,$s,bs,Es,Me,k,P,ye,U,ks,_e,Ss,De,te,As,Oe,x,ne,le,Cs,qs,Fs,re,ie,Ns,Ps,Be,T,xs,je,Ts,Hs,Ue,oe,Is,Je,pe,Rs,Ke,S,H,$e,J,Ms,be,Ds,Le,A,I,Ee,K,Os,ke,Bs,We,ce,Us,Ge,L,Ye,he,Js,ze,W,Qe,C,R,Se,G,Ks,Ae,Ls,Ve,_,Ws,Y,Gs,Ys,Ce,zs,Qs,Xe,z,Ze,q,M,qe,Q,Vs,Fe,Xs,es,V,ss,fe,Zs,as,F,D,Ne,X,ea,Pe,sa,ts,Z,ns,N,O,xe,ee,aa,Te,ta,ls,se,rs,j,na,He,la,ra,Ie,ia,oa,is;return U=new ae({}),J=new ae({}),K=new ae({}),L=new de({props:{code:`npm install @huggingface/hub
npm install @huggingface/inference`,highlighted:`npm install @huggingface/hub
npm install @huggingface/inference`}}),W=new de({props:{code:`import { createRepo, commit, deleteRepo, listFiles } from "@huggingface/hub";
import { HfInference } from "@huggingface/inference";
import type { RepoId, Credentials } from "@huggingface/hub";`,highlighted:`<span class="hljs-keyword">import</span> { createRepo, commit, deleteRepo, listFiles } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/hub&quot;</span>;
<span class="hljs-keyword">import</span> { <span class="hljs-title class_">HfInference</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/inference&quot;</span>;
<span class="hljs-keyword">import</span> <span class="hljs-keyword">type</span> { <span class="hljs-title class_">RepoId</span>, <span class="hljs-title class_">Credentials</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/hub&quot;</span>;`}}),G=new ae({}),z=new de({props:{code:`
<script type="module">
    import { HfInference } from 'https://cdn.jsdelivr.net/npm/@huggingface/inference@1.6.3/+esm';
    import { createRepo, commit, deleteRepo, listFiles } from "https://cdn.jsdelivr.net/npm/@huggingface/hub@0.5.0/+esm";
<\/script>`,highlighted:`
<span class="hljs-tag">&lt;<span class="hljs-name">script</span> <span class="hljs-attr">type</span>=<span class="hljs-string">&quot;module&quot;</span>&gt;</span><span class="language-javascript">
    <span class="hljs-keyword">import</span> { <span class="hljs-title class_">HfInference</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;https://cdn.jsdelivr.net/npm/@huggingface/inference@1.6.3/+esm&#x27;</span>;
    <span class="hljs-keyword">import</span> { createRepo, commit, deleteRepo, listFiles } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;https://cdn.jsdelivr.net/npm/@huggingface/hub@0.5.0/+esm&quot;</span>;
</span><span class="hljs-tag">&lt;/<span class="hljs-name">script</span>&gt;</span>`}}),Q=new ae({}),V=new de({props:{code:`import { createRepo, uploadFile, deleteFiles } from "@huggingface/hub";
import { HfInference } from "@huggingface/inference";

// use an access token from your free account
const HF_ACCESS_TOKEN = "hf_...";

await createRepo({
  repo: "my-user/nlp-model", // or {type: "model", name: "my-user/nlp-test"},
  credentials: {accessToken: HF_ACCESS_TOKEN}
});

await uploadFile({
  repo: "my-user/nlp-model",
  credentials: {accessToken: HF_ACCESS_TOKEN},
  // Can work with native File in browsers
  file: {
    path: "pytorch_model.bin",
    content: new Blob(...) 
  }
});

await deleteFiles({
  repo: {type: "space", name: "my-user/my-space"}, // or "spaces/my-user/my-space"
  credentials: {accessToken: HF_ACCESS_TOKEN},
  paths: ["README.md", ".gitattributes"]
});

const inference = new HfInference(HF_ACCESS_TOKEN);

await inference.translation({
  model: 't5-base',
  inputs: 'My name is Wolfgang and I live in Berlin'
})

await inference.textToImage({
  inputs: 'award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]',
  negative_prompt: 'blurry',
  model: 'stabilityai/stable-diffusion-2',
})`,highlighted:`<span class="hljs-keyword">import</span> { createRepo, uploadFile, deleteFiles } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/hub&quot;</span>;
<span class="hljs-keyword">import</span> { <span class="hljs-title class_">HfInference</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/inference&quot;</span>;

<span class="hljs-comment">// use an access token from your free account</span>
<span class="hljs-keyword">const</span> <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span> = <span class="hljs-string">&quot;hf_...&quot;</span>;

<span class="hljs-keyword">await</span> <span class="hljs-title function_">createRepo</span>({
  <span class="hljs-attr">repo</span>: <span class="hljs-string">&quot;my-user/nlp-model&quot;</span>, <span class="hljs-comment">// or {type: &quot;model&quot;, name: &quot;my-user/nlp-test&quot;},</span>
  <span class="hljs-attr">credentials</span>: {<span class="hljs-attr">accessToken</span>: <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>}
});

<span class="hljs-keyword">await</span> <span class="hljs-title function_">uploadFile</span>({
  <span class="hljs-attr">repo</span>: <span class="hljs-string">&quot;my-user/nlp-model&quot;</span>,
  <span class="hljs-attr">credentials</span>: {<span class="hljs-attr">accessToken</span>: <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>},
  <span class="hljs-comment">// Can work with native File in browsers</span>
  <span class="hljs-attr">file</span>: {
    <span class="hljs-attr">path</span>: <span class="hljs-string">&quot;pytorch_model.bin&quot;</span>,
    <span class="hljs-attr">content</span>: <span class="hljs-keyword">new</span> <span class="hljs-title class_">Blob</span>(...) 
  }
});

<span class="hljs-keyword">await</span> <span class="hljs-title function_">deleteFiles</span>({
  <span class="hljs-attr">repo</span>: {<span class="hljs-attr">type</span>: <span class="hljs-string">&quot;space&quot;</span>, <span class="hljs-attr">name</span>: <span class="hljs-string">&quot;my-user/my-space&quot;</span>}, <span class="hljs-comment">// or &quot;spaces/my-user/my-space&quot;</span>
  <span class="hljs-attr">credentials</span>: {<span class="hljs-attr">accessToken</span>: <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>},
  <span class="hljs-attr">paths</span>: [<span class="hljs-string">&quot;README.md&quot;</span>, <span class="hljs-string">&quot;.gitattributes&quot;</span>]
});

<span class="hljs-keyword">const</span> inference = <span class="hljs-keyword">new</span> <span class="hljs-title class_">HfInference</span>(<span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>);

<span class="hljs-keyword">await</span> inference.<span class="hljs-title function_">translation</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;t5-base&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;My name is Wolfgang and I live in Berlin&#x27;</span>
})

<span class="hljs-keyword">await</span> inference.<span class="hljs-title function_">textToImage</span>({
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]&#x27;</span>,
  <span class="hljs-attr">negative_prompt</span>: <span class="hljs-string">&#x27;blurry&#x27;</span>,
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;stabilityai/stable-diffusion-2&#x27;</span>,
})`}}),X=new ae({}),Z=new de({props:{code:`pnpm install

pnpm -r format:check
pnpm -r lint:check
pnpm -r test`,highlighted:`pnpm install

pnpm -r format:check
pnpm -r lint:check
pnpm -r test`}}),ee=new ae({}),se=new de({props:{code:"pnpm -r build",highlighted:'<span class="hljs-attribute">pnpm -r build</span>'}}),{c(){$=t("meta"),Re=p(),u=t("p"),vs=t("br"),ws=p(),b=t("picture"),ve=t("source"),ys=p(),we=t("source"),_s=p(),E=t("img"),js=p(),$s=t("br"),bs=p(),Es=t("br"),Me=p(),k=t("h1"),P=t("a"),ye=t("span"),m(U.$$.fragment),ks=p(),_e=t("span"),Ss=h("Hugging Face JS libraries"),De=p(),te=t("p"),As=h("This is a collection of JS libraries to interact with the Hugging Face API, with TS types included."),Oe=p(),x=t("ul"),ne=t("li"),le=t("a"),Cs=h("@huggingface/hub"),qs=h(": Interact with huggingface.co to create or delete repos and commit / download files"),Fs=p(),re=t("li"),ie=t("a"),Ns=h("@huggingface/inference"),Ps=h(": Use the Inference API to make calls to 100,000+ Machine Learning models!"),Be=p(),T=t("p"),xs=h("With more to come, like "),je=t("code"),Ts=h("@huggingface/endpoints"),Hs=h(" to manage your HF Endpoints!"),Ue=p(),oe=t("p"),Is=h("We use modern features to avoid polyfills and dependencies, so the libraries will only work on modern browsers / Node.js >= 18 / Bun / Deno."),Je=p(),pe=t("p"),Rs=h("The libraries are still very young, please help us by opening issues!"),Ke=p(),S=t("h2"),H=t("a"),$e=t("span"),m(J.$$.fragment),Ms=p(),be=t("span"),Ds=h("Installation"),Le=p(),A=t("h3"),I=t("a"),Ee=t("span"),m(K.$$.fragment),Os=p(),ke=t("span"),Bs=h("From NPM"),We=p(),ce=t("p"),Us=h("To install via NPM, you can download the libraries as needed:"),Ge=p(),m(L.$$.fragment),Ye=p(),he=t("p"),Js=h("Then import the libraries in your code:"),ze=p(),m(W.$$.fragment),Qe=p(),C=t("h3"),R=t("a"),Se=t("span"),m(G.$$.fragment),Ks=p(),Ae=t("span"),Ls=h("From CDN or Static hosting"),Ve=p(),_=t("p"),Ws=h("You can run our packages with vanilla JS, without any bundler, by using a CDN or static hosting. Using "),Y=t("a"),Gs=h("ES modules"),Ys=h(", i.e. "),Ce=t("code"),zs=h('<script type="module">'),Qs=h(", you can import the libraries in your code:"),Xe=p(),m(z.$$.fragment),Ze=p(),q=t("h2"),M=t("a"),qe=t("span"),m(Q.$$.fragment),Vs=p(),Fe=t("span"),Xs=h("Usage example"),es=p(),m(V.$$.fragment),ss=p(),fe=t("p"),Zs=h("There are more features of course, check each library\u2019s README!"),as=p(),F=t("h2"),D=t("a"),Ne=t("span"),m(X.$$.fragment),ea=p(),Pe=t("span"),sa=h("Formatting & testing"),ts=p(),m(Z.$$.fragment),ns=p(),N=t("h2"),O=t("a"),xe=t("span"),m(ee.$$.fragment),aa=p(),Te=t("span"),ta=h("Building"),ls=p(),m(se.$$.fragment),rs=p(),j=t("p"),na=h("This will generate ESM and CJS javascript files in "),He=t("code"),la=h("packages/*/dist"),ra=h(", eg "),Ie=t("code"),ia=h("packages/inference/dist/index.mjs"),oa=h("."),this.h()},l(e){const l=Qa('[data-svelte="svelte-1phssyn"]',document.head);$=n(l,"META",{name:!0,content:!0}),l.forEach(s),Re=c(e),u=n(e,"P",{align:!0});var B=r(u);vs=n(B,"BR",{}),ws=c(B),b=n(B,"PICTURE",{});var ue=r(b);ve=n(ue,"SOURCE",{media:!0,srcset:!0}),ys=c(ue),we=n(ue,"SOURCE",{media:!0,srcset:!0}),_s=c(ue),E=n(ue,"IMG",{alt:!0,src:!0,width:!0,height:!0,style:!0}),ue.forEach(s),js=c(B),$s=n(B,"BR",{}),bs=c(B),Es=n(B,"BR",{}),B.forEach(s),Me=c(e),k=n(e,"H1",{class:!0});var os=r(k);P=n(os,"A",{id:!0,class:!0,href:!0});var ua=r(P);ye=n(ua,"SPAN",{});var ma=r(ye);g(U.$$.fragment,ma),ma.forEach(s),ua.forEach(s),ks=c(os),_e=n(os,"SPAN",{});var ga=r(_e);Ss=f(ga,"Hugging Face JS libraries"),ga.forEach(s),os.forEach(s),De=c(e),te=n(e,"P",{});var da=r(te);As=f(da,"This is a collection of JS libraries to interact with the Hugging Face API, with TS types included."),da.forEach(s),Oe=c(e),x=n(e,"UL",{});var ps=r(x);ne=n(ps,"LI",{});var pa=r(ne);le=n(pa,"A",{href:!0});var va=r(le);Cs=f(va,"@huggingface/hub"),va.forEach(s),qs=f(pa,": Interact with huggingface.co to create or delete repos and commit / download files"),pa.forEach(s),Fs=c(ps),re=n(ps,"LI",{});var ca=r(re);ie=n(ca,"A",{href:!0});var wa=r(ie);Ns=f(wa,"@huggingface/inference"),wa.forEach(s),Ps=f(ca,": Use the Inference API to make calls to 100,000+ Machine Learning models!"),ca.forEach(s),ps.forEach(s),Be=c(e),T=n(e,"P",{});var cs=r(T);xs=f(cs,"With more to come, like "),je=n(cs,"CODE",{});var ya=r(je);Ts=f(ya,"@huggingface/endpoints"),ya.forEach(s),Hs=f(cs," to manage your HF Endpoints!"),cs.forEach(s),Ue=c(e),oe=n(e,"P",{});var _a=r(oe);Is=f(_a,"We use modern features to avoid polyfills and dependencies, so the libraries will only work on modern browsers / Node.js >= 18 / Bun / Deno."),_a.forEach(s),Je=c(e),pe=n(e,"P",{});var ja=r(pe);Rs=f(ja,"The libraries are still very young, please help us by opening issues!"),ja.forEach(s),Ke=c(e),S=n(e,"H2",{class:!0});var hs=r(S);H=n(hs,"A",{id:!0,class:!0,href:!0});var $a=r(H);$e=n($a,"SPAN",{});var ba=r($e);g(J.$$.fragment,ba),ba.forEach(s),$a.forEach(s),Ms=c(hs),be=n(hs,"SPAN",{});var Ea=r(be);Ds=f(Ea,"Installation"),Ea.forEach(s),hs.forEach(s),Le=c(e),A=n(e,"H3",{class:!0});var fs=r(A);I=n(fs,"A",{id:!0,class:!0,href:!0});var ka=r(I);Ee=n(ka,"SPAN",{});var Sa=r(Ee);g(K.$$.fragment,Sa),Sa.forEach(s),ka.forEach(s),Os=c(fs),ke=n(fs,"SPAN",{});var Aa=r(ke);Bs=f(Aa,"From NPM"),Aa.forEach(s),fs.forEach(s),We=c(e),ce=n(e,"P",{});var Ca=r(ce);Us=f(Ca,"To install via NPM, you can download the libraries as needed:"),Ca.forEach(s),Ge=c(e),g(L.$$.fragment,e),Ye=c(e),he=n(e,"P",{});var qa=r(he);Js=f(qa,"Then import the libraries in your code:"),qa.forEach(s),ze=c(e),g(W.$$.fragment,e),Qe=c(e),C=n(e,"H3",{class:!0});var us=r(C);R=n(us,"A",{id:!0,class:!0,href:!0});var Fa=r(R);Se=n(Fa,"SPAN",{});var Na=r(Se);g(G.$$.fragment,Na),Na.forEach(s),Fa.forEach(s),Ks=c(us),Ae=n(us,"SPAN",{});var Pa=r(Ae);Ls=f(Pa,"From CDN or Static hosting"),Pa.forEach(s),us.forEach(s),Ve=c(e),_=n(e,"P",{});var me=r(_);Ws=f(me,"You can run our packages with vanilla JS, without any bundler, by using a CDN or static hosting. Using "),Y=n(me,"A",{href:!0,rel:!0});var xa=r(Y);Gs=f(xa,"ES modules"),xa.forEach(s),Ys=f(me,", i.e. "),Ce=n(me,"CODE",{});var Ta=r(Ce);zs=f(Ta,'<script type="module">'),Ta.forEach(s),Qs=f(me,", you can import the libraries in your code:"),me.forEach(s),Xe=c(e),g(z.$$.fragment,e),Ze=c(e),q=n(e,"H2",{class:!0});var ms=r(q);M=n(ms,"A",{id:!0,class:!0,href:!0});var Ha=r(M);qe=n(Ha,"SPAN",{});var Ia=r(qe);g(Q.$$.fragment,Ia),Ia.forEach(s),Ha.forEach(s),Vs=c(ms),Fe=n(ms,"SPAN",{});var Ra=r(Fe);Xs=f(Ra,"Usage example"),Ra.forEach(s),ms.forEach(s),es=c(e),g(V.$$.fragment,e),ss=c(e),fe=n(e,"P",{});var Ma=r(fe);Zs=f(Ma,"There are more features of course, check each library\u2019s README!"),Ma.forEach(s),as=c(e),F=n(e,"H2",{class:!0});var gs=r(F);D=n(gs,"A",{id:!0,class:!0,href:!0});var Da=r(D);Ne=n(Da,"SPAN",{});var Oa=r(Ne);g(X.$$.fragment,Oa),Oa.forEach(s),Da.forEach(s),ea=c(gs),Pe=n(gs,"SPAN",{});var Ba=r(Pe);sa=f(Ba,"Formatting & testing"),Ba.forEach(s),gs.forEach(s),ts=c(e),g(Z.$$.fragment,e),ns=c(e),N=n(e,"H2",{class:!0});var ds=r(N);O=n(ds,"A",{id:!0,class:!0,href:!0});var Ua=r(O);xe=n(Ua,"SPAN",{});var Ja=r(xe);g(ee.$$.fragment,Ja),Ja.forEach(s),Ua.forEach(s),aa=c(ds),Te=n(ds,"SPAN",{});var Ka=r(Te);ta=f(Ka,"Building"),Ka.forEach(s),ds.forEach(s),ls=c(e),g(se.$$.fragment,e),rs=c(e),j=n(e,"P",{});var ge=r(j);na=f(ge,"This will generate ESM and CJS javascript files in "),He=n(ge,"CODE",{});var La=r(He);la=f(La,"packages/*/dist"),La.forEach(s),ra=f(ge,", eg "),Ie=n(ge,"CODE",{});var Wa=r(Ie);ia=f(Wa,"packages/inference/dist/index.mjs"),Wa.forEach(s),oa=f(ge,"."),ge.forEach(s),this.h()},h(){i($,"name","hf:doc:metadata"),i($,"content",JSON.stringify(at)),i(ve,"media","(prefers-color-scheme: dark)"),i(ve,"srcset","https://huggingface.co/datasets/huggingface/documentation-images/raw/main/huggingfacejs-dark.svg"),i(we,"media","(prefers-color-scheme: light)"),i(we,"srcset","https://huggingface.co/datasets/huggingface/documentation-images/raw/main/huggingfacejs-light.svg"),i(E,"alt","huggingface javascript library logo"),Va(E.src,fa="https://huggingface.co/datasets/huggingface/documentation-images/raw/main/huggingfacejs-light.svg")||i(E,"src",fa),i(E,"width","376"),i(E,"height","59"),Xa(E,"max-width","100%"),i(u,"align","center"),i(P,"id","hugging-face-js-libraries"),i(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(P,"href","#hugging-face-js-libraries"),i(k,"class","relative group"),i(le,"href","hub/README"),i(ie,"href","inference/README"),i(H,"id","installation"),i(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(H,"href","#installation"),i(S,"class","relative group"),i(I,"id","from-npm"),i(I,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(I,"href","#from-npm"),i(A,"class","relative group"),i(R,"id","from-cdn-or-static-hosting"),i(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(R,"href","#from-cdn-or-static-hosting"),i(C,"class","relative group"),i(Y,"href","https://hacks.mozilla.org/2018/03/es-modules-a-cartoon-deep-dive/"),i(Y,"rel","nofollow"),i(M,"id","usage-example"),i(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(M,"href","#usage-example"),i(q,"class","relative group"),i(D,"id","formatting-testing"),i(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(D,"href","#formatting-testing"),i(F,"class","relative group"),i(O,"id","building"),i(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(O,"href","#building"),i(N,"class","relative group")},m(e,l){a(document.head,$),o(e,Re,l),o(e,u,l),a(u,vs),a(u,ws),a(u,b),a(b,ve),a(b,ys),a(b,we),a(b,_s),a(b,E),a(u,js),a(u,$s),a(u,bs),a(u,Es),o(e,Me,l),o(e,k,l),a(k,P),a(P,ye),d(U,ye,null),a(k,ks),a(k,_e),a(_e,Ss),o(e,De,l),o(e,te,l),a(te,As),o(e,Oe,l),o(e,x,l),a(x,ne),a(ne,le),a(le,Cs),a(ne,qs),a(x,Fs),a(x,re),a(re,ie),a(ie,Ns),a(re,Ps),o(e,Be,l),o(e,T,l),a(T,xs),a(T,je),a(je,Ts),a(T,Hs),o(e,Ue,l),o(e,oe,l),a(oe,Is),o(e,Je,l),o(e,pe,l),a(pe,Rs),o(e,Ke,l),o(e,S,l),a(S,H),a(H,$e),d(J,$e,null),a(S,Ms),a(S,be),a(be,Ds),o(e,Le,l),o(e,A,l),a(A,I),a(I,Ee),d(K,Ee,null),a(A,Os),a(A,ke),a(ke,Bs),o(e,We,l),o(e,ce,l),a(ce,Us),o(e,Ge,l),d(L,e,l),o(e,Ye,l),o(e,he,l),a(he,Js),o(e,ze,l),d(W,e,l),o(e,Qe,l),o(e,C,l),a(C,R),a(R,Se),d(G,Se,null),a(C,Ks),a(C,Ae),a(Ae,Ls),o(e,Ve,l),o(e,_,l),a(_,Ws),a(_,Y),a(Y,Gs),a(_,Ys),a(_,Ce),a(Ce,zs),a(_,Qs),o(e,Xe,l),d(z,e,l),o(e,Ze,l),o(e,q,l),a(q,M),a(M,qe),d(Q,qe,null),a(q,Vs),a(q,Fe),a(Fe,Xs),o(e,es,l),d(V,e,l),o(e,ss,l),o(e,fe,l),a(fe,Zs),o(e,as,l),o(e,F,l),a(F,D),a(D,Ne),d(X,Ne,null),a(F,ea),a(F,Pe),a(Pe,sa),o(e,ts,l),d(Z,e,l),o(e,ns,l),o(e,N,l),a(N,O),a(O,xe),d(ee,xe,null),a(N,aa),a(N,Te),a(Te,ta),o(e,ls,l),d(se,e,l),o(e,rs,l),o(e,j,l),a(j,na),a(j,He),a(He,la),a(j,ra),a(j,Ie),a(Ie,ia),a(j,oa),is=!0},p:Za,i(e){is||(v(U.$$.fragment,e),v(J.$$.fragment,e),v(K.$$.fragment,e),v(L.$$.fragment,e),v(W.$$.fragment,e),v(G.$$.fragment,e),v(z.$$.fragment,e),v(Q.$$.fragment,e),v(V.$$.fragment,e),v(X.$$.fragment,e),v(Z.$$.fragment,e),v(ee.$$.fragment,e),v(se.$$.fragment,e),is=!0)},o(e){w(U.$$.fragment,e),w(J.$$.fragment,e),w(K.$$.fragment,e),w(L.$$.fragment,e),w(W.$$.fragment,e),w(G.$$.fragment,e),w(z.$$.fragment,e),w(Q.$$.fragment,e),w(V.$$.fragment,e),w(X.$$.fragment,e),w(Z.$$.fragment,e),w(ee.$$.fragment,e),w(se.$$.fragment,e),is=!1},d(e){s($),e&&s(Re),e&&s(u),e&&s(Me),e&&s(k),y(U),e&&s(De),e&&s(te),e&&s(Oe),e&&s(x),e&&s(Be),e&&s(T),e&&s(Ue),e&&s(oe),e&&s(Je),e&&s(pe),e&&s(Ke),e&&s(S),y(J),e&&s(Le),e&&s(A),y(K),e&&s(We),e&&s(ce),e&&s(Ge),y(L,e),e&&s(Ye),e&&s(he),e&&s(ze),y(W,e),e&&s(Qe),e&&s(C),y(G),e&&s(Ve),e&&s(_),e&&s(Xe),y(z,e),e&&s(Ze),e&&s(q),y(Q),e&&s(es),y(V,e),e&&s(ss),e&&s(fe),e&&s(as),e&&s(F),y(X),e&&s(ts),y(Z,e),e&&s(ns),e&&s(N),y(ee),e&&s(ls),y(se,e),e&&s(rs),e&&s(j)}}}const at={local:"hugging-face-js-libraries",sections:[{local:"installation",sections:[{local:"from-npm",title:"From NPM"},{local:"from-cdn-or-static-hosting",title:"From CDN or Static hosting"}],title:"Installation"},{local:"usage-example",title:"Usage example"},{local:"formatting-testing",title:"Formatting & testing"},{local:"building",title:"Building"}],title:"Hugging Face JS libraries"};function tt(ha){return et(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class it extends Ga{constructor($){super();Ya(this,$,tt,st,za,{})}}export{it as default,at as metadata};
